POST /orderStatus/{orderId}

This endpoint allows a POS to update the status of an order at each stage in its preparation. It also allows for the modification of the pickupTime

Headers

  • Content-Type string

Path parameters

  • orderId string Required
*/*

Body

string string

Responses

  • 200 application/json

    OK

  • default text/plain

    default

POST /orderStatus/{orderId}
curl \
 --request POST 'https://api.staging.deliverect.com/orderStatus/{orderId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json"
Request example
{
  "reason": "new order",
  "status": 10,
  "orderId": "5d****e3448c290010****53",
  "receiptId": "1234",
  "timeStamp": "2019-09-05 07:44:15.000Z"
}
Response examples (200)
{
  "result": "OK"
}
{
  "result": "OK"
}